#!/bin/sh
###############################################################################
# FIRESTARTER - A Processor Stress Test Utility 
# Copyright (C) 2013 TU Dresden, Center for Information Services and High
# Performance Computing
# 
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#  
# Contact: daniel.hackenberg@tu-dresden.de
###############################################################################

# the compiler 
LOCAL_KERNEL_COMPILER="gcc"
# the compilerflags
LOCAL_KERNEL_COMPILERFLAGS="-O0 -fomit-frame-pointer -Wall -W -std=c99 -I. -I./hw_detect"
# the linkerflags
LOCAL_LINKERFLAGS="-lm -lpthread -static"

#
# FIRST STAGE: COMPILE
#
printf "${LOCAL_KERNEL_COMPILER} ${LOCAL_KERNEL_COMPILERFLAGS} -c work.c main.c\n"
${LOCAL_KERNEL_COMPILER} ${LOCAL_KERNEL_COMPILERFLAGS} -c work.c main.c

printf "${LOCAL_KERNEL_COMPILER} ${LOCAL_KERNEL_COMPILERFLAGS} -mavx -c avx_functions.c\n"
${LOCAL_KERNEL_COMPILER} ${LOCAL_KERNEL_COMPILERFLAGS} -mavx -c avx_functions.c

printf "${LOCAL_KERNEL_COMPILER} ${LOCAL_KERNEL_COMPILERFLAGS} -msse4.1 -c sse_functions.c\n"
${LOCAL_KERNEL_COMPILER} ${LOCAL_KERNEL_COMPILERFLAGS} -msse4.1 -c sse_functions.c

printf "${LOCAL_KERNEL_COMPILER} ${LOCAL_KERNEL_COMPILERFLAGS} -c arch.c\n"
${LOCAL_KERNEL_COMPILER} ${LOCAL_KERNEL_COMPILERFLAGS} -c arch.c

printf "${LOCAL_KERNEL_COMPILER} ${LOCAL_KERNEL_COMPILERFLAGS} -DAFFINITY -c ./hw_detect/x86.c\n"
${LOCAL_KERNEL_COMPILER} ${LOCAL_KERNEL_COMPILERFLAGS} -DAFFINITY -c ./hw_detect/x86.c

printf "${LOCAL_KERNEL_COMPILER} ${LOCAL_KERNEL_COMPILERFLAGS} -DAFFINITY -c ./hw_detect/generic.c\n"
${LOCAL_KERNEL_COMPILER} ${LOCAL_KERNEL_COMPILERFLAGS} -DAFFINITY -c ./hw_detect/generic.c

printf "${LOCAL_KERNEL_COMPILER} ${LOCAL_KERNEL_COMPILERFLAGS} -c ./hw_detect/properties.c\n"
${LOCAL_KERNEL_COMPILER} ${LOCAL_KERNEL_COMPILERFLAGS} -c ./hw_detect/properties.c

#
# SECOND STAGE: LINK
#
printf "${LOCAL_KERNEL_COMPILER} -o FIRESTARTER *.o ${LOCAL_LINKERFLAGS}\n"
${LOCAL_KERNEL_COMPILER} -o FIRESTARTER *.o ${LOCAL_LINKERFLAGS}

#
# REMOVE *.o FILES
#
rm -f ./*.o
