/******************************************************************************
 * FIRESTARTER - A Processor Stress Test Utility 
 * Copyright (C) 2013 TU Dresden, Center for Information Services and High
 * Performance Computing
 * 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 * 
 * Contact: daniel.hackenberg@tu-dresden.de
 *****************************************************************************/

#include "properties.h"
const info_t cpu_data[CPU_DATA_COUNT] = {
{"Intel(R) Core(TM) i7 CPU *9.*", 6, 26, "Bloomfield", 45, "1366"},
{"Intel(R) Core(TM) i7 CPU *8.*", 6, 30, "Lynnfield", 45, "1156"},
{"Intel(R) Core(TM) i5 CPU *7.*", 6, 30, "Lynnfield", 45, "1156"},
{"Intel(R) Core(TM) i7 CPU *9.*", 6, 44, "Gulftown", 32, "1366"},
{"Intel(R) Core(TM) i5 CPU *6.*", 6, 37, "Clarkdale", 32, "1156"},
{"Intel(R) Core(TM) i3 CPU *5.*", 6, 37, "Clarkdale", 32, "1156"},
{"Intel(R) Pentium(R).*", 6, 37, "Clarkdale", 32, "1156"},
{"Intel(R) Core(TM) i7 CPU *[7-9].*", 6, 30, "Clarksfield", 45, "n/a"},
{"Intel(R) Core(TM) i7 CPU *6.*", 6, 37, "Arrandale", 32, "n/a"},
{"Intel(R) Core(TM) i5 CPU *[45].*", 6, 37, "Arrandale", 32, "n/a"},
{"Intel(R) Core(TM) i3 CPU *3.*", 6, 37, "Arrandale", 32, "n/a"},
{"Intel(R) Core(TM) i[357]-2[0-9]*[XQLU]\\?[ME].*", 6, 42, "Sandy-Bridge", 32, "n/a"},
{"Intel(R) Core(TM) i[357]-2[0-9]*[SKT]\\?.*", 6, 42, "Sandy-Bridge", 32, "1155"},
{"Intel(R) Pentium(R).*", 6, 42, "Sandy-Bridge", 32, "1155"},
{"Intel(R) Celeron(R).*", 6, 42, "Sandy-Bridge", 32, "1155"},
{"Intel(R) Core(TM) i7-3[89][0-9].*", 6, 45, "Sandy-Bridge-E", 32, "2011"},
{"Intel(R) Core(TM) i[357]-3[0-9]*[QX]\\?[MU] .*", 6, 58, "Ivy-Bridge", 22, "1155"},
{"Intel(R) Core(TM) i[357]-3[0-9]*[SKT]\\? .*", 6, 58, "Ivy-Bridge", 22, "1155"},
{"Intel(R) Xeon(R) CPU *[LEXW]34.*", 6, 30, "Lynnfield", 45, "1156"},
{"Intel(R) Xeon(R) CPU *[LEXW]35.*", 6, 26, "Bloomfield", 45, "1366"},
{"Intel(R) Xeon(R) CPU *[LEXW]55.*", 6, 26, "Gainestown", 45, "1366"},
{"Intel(R) Xeon(R) CPU *[LEXW]56.*", 6, 44, "Westmere-EP", 32, "1366"},
{"Intel(R) Xeon(R) CPU *[EX]75.*", 6, 46, "Beckton", 45, "1567"},
{"Intel(R) Xeon(R) CPU *E65.*", 6, 46, "Beckton", 45, "1567"},
{"Intel(R) Xeon(R) CPU *E7.*", 6, 47, "Westmere-EX", 32, "1567"},
{"Intel(R) Xeon(R) CPU *E3.*", 6, 42, "Sandy-Bridge", 32, "1155"},
{"Intel(R) Xeon(R) CPU *E5.*", 6, 45, "Sandy-Bridge-EP", 32, "2011"},
{"Intel(R) Xeon(R) CPU *E3.*", 6, 58, "Ivy-Bridge", 22, "1155"},
};
const archshrt_t archshrt_data[ARCH_SHORT_COUNT] = {
{"Core(TM)i7", 6, "ICi7"},
{"Core(TM)i7", 4, "ICi7"},
{"Core(TM)i7", 2, "ICi7"},
{"Core(TM)i5", 4, "ICi5"},
{"Core(TM)i5", 2, "ICi5"},
{"Core(TM)i3", 2, "ICi3"},
{"Xeon", 2, "InX2"},
{"Xeon", 4, "InX4"},
{"Xeon", 6, "InX6"},
{"Xeon", 8, "InX8"},
};
